package bdd;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;

import com.example.manageinventory.Article;

public class ArticleDAO {
    private DAO dao = null;
    private SQLiteDatabase db = null;

    public ArticleDAO(Context context) {
        dao = new DAO(context);
        db = dao.open();
    }

    public void close() {
        dao.close();
    }

    public long create(Article a) {
        ContentValues values = new ContentValues();
        values.put("ref", a.getReference());
        values.put("des", a.getDesignation());
        values.put("pu", a.getPrix());
        values.put("qte", a.getQte());
        Log.d("bdd", "insert " + a);
        return db.insert(CreateBdInventaire.TABLE_ARTICLE, null, values);
    }

    public Cursor readArticles() {
        String reqSQL = "SELECT id AS '_id', ref, des, pu, qte FROM " + CreateBdInventaire.TABLE_ARTICLE + ";";
        Cursor c = db.rawQuery(reqSQL, null);
        Log.d("bdd", "Le curseur contient : " + c.getCount() + " lignes");
        return c;
    }
}
