package com.example.manageinventory;

import android.database.Cursor;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.util.List;

import bdd.ArticleDAO;

public class ListeArticleActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_liste_article);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        initialisation();
    }

    public void initialisation() {
        Button btQuitter = (Button) findViewById(R.id.btQuitter);
        btQuitter.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                finish();
            }
        });
        afficherLesArticles();
    }

    public void afficherLesArticles() {
        Log.d("bdd", "Début affichage");
        ArticleDAO articleDAO = new ArticleDAO(this);
        Cursor c = articleDAO.readArticles();
        Toast.makeText(getApplicationContext(), "Il y a " + c.getCount() + " articles", Toast.LENGTH_SHORT).show();
        articleDAO.close();
        String[] from = new String[] {"ref", "des", "pu", "qte"};
        int[] to = new int[] {R.id.tvRef, R.id.tvDes, R.id.tvPrix, R.id.tvQte};
        SimpleCursorAdapter dataAdapter = new SimpleCursorAdapter(this, R.layout.ligne_article, c, from, to, 0);

        ListView lvArticle = (ListView) findViewById(R.id.lvArticle);
        lvArticle.setAdapter(dataAdapter);
    }
}